Bug 106090 - RPM and Yum complain about libbeecrypt
Summary: RPM and Yum complain about libbeecrypt
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: beecrypt (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-02 17:27 UTC by Jared Smith
Modified: 2007-04-18 16:58 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-02 18:40:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jared Smith 2003-10-02 17:27:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686) Gecko/20030807 Galeon/1.3.5

Description of problem:
After upgrading this box to RawHide, it seems to have broken RPM.




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Upgrade box to RawHide as of 10/1/2003 (or maybe 9/30/2003)
2.  After upgrade, try to do anything with rpm
3.
    

Actual Results:  
[root@babylon root]# rpm -q kernel
rpm: error while loading shared libraries: libbeecrypt.so.6: cannot enable
executable stack as shared object requires: Permission denied


Expected Results:  It should tell me which kernel RPMS are installed

Additional info:

It also appears to break Yum.  I've included the yum backtrace below in case it
helps fix the problem.

[root@babylon root]# yum
Traceback (most recent call last):
  File "/usr/bin/yum", line 22, in ?
    import yummain
  File "yummain.py", line 21, in ?
  File "clientStuff.py", line 18, in ?
ImportError: libbeecrypt.so.6: cannot enable executable stack as shared object
requires: Permission denied

Comment 1 Jared Smith 2003-10-02 18:40:49 UTC
OK, I booted the machine off of a Severn2 cd and went into rescue mode.  I
installed beecrypt-python and beecrypt-devel from RawHide.  After that, I
rebooted and everything is working once again.

Hope this helps out someone else with the same problem.


Note You need to log in before you can comment on or make changes to this bug.